DNF5-INSTALL(8)

BEZEICHNUNG
dnf5-install - Install-Befehl

ÜBERSICHT

dnf5 install [Optionen] [Paketangabe-NPFB|@Gruppenangabe|@Umgebungsangabe …]

BESCHREIBUNG

Der install-Befehl in DNF5 wird zum Installieren von Paketen, Gruppen oder Umgebungen verwendet.

Beim Installieren von Paketen, die als Paketangabe-NPFB-Argumente übergeben werden, stellt DNF5 sicher, dass die Pakete und deren Abhängigkeiten auf dem System installiert werden. Falls die angegebenen Pakete bereits installiert sind, überprüft DNF5 deren Abhängigkeiten nicht noch einmal und prüft lediglich, ob die Pakete selbst vorhanden sind.

Wenn Paketangabe-NPFB mit der genauen Version des Pakets angegeben wird, installiert DNF5 die gewünschte Version, unabhängig davon, welche Version des Pakets bereits installiert ist. Bei nicht-»installonly«-Paketen wird die vorherige Version des Pakets entfernt.

Wenn die Paketangabe-NPFB jedoch nur einen Namen angibt und Veralterungen (»Obsoletes«) aktiviert sind, bezieht DNF außerdem Pakete ein, die diesen Namen als veraltet markieren. Beachten Sie, dass dies zu scheinbar unerwarteten Ergebnissen führen kann, wenn die Version eines installierten Pakets veraltet ist und für das installierte Paket auch eine neuere Version verfügbar ist. Dadurch wird der Aktualisierungspfad aufgeteilt und beide Wege werden als korrekt angesehen. Das resultierende Paket wird einfach nach lexikografischer Reihenfolge ausgewählt.

Bei der Installation von Gruppen, die in Gruppenangabe-Argumenten definiert sind, stellt DNF5 sicher, dass die Gruppen und ihre Pakete auf dem System installiert werden. Installiert nur Gruppenpakete, die dem konfigurierten Pakettyp entsprechen. Siehe dnf5-conf(5), Konfigurationsoption group_package_types.

Bei der Installation von Umgebungen, die in Umgebungsangabe-Argumenten definiert sind, stellt DNF5 sicher, dass die Umgebungen und ihre Gruppen auf dem System installiert werden.

OPTIONEN

    --allowerasing
        erlaubt das Entfernen installierter Pakete, um potenzielle Abhängigkeitsprobleme zu lösen.

    --skip-broken
        behebt etwaige Abhängigkeitsprobleme, indem Pakete, die Probleme verursachen, aus der Transaktion entfernt werden.

    --skip-unavailable
        ermöglicht das Überspringen von Paketen, die in den Paketquellen nicht verfügbar sind. Alle verfügbaren Pakete werden installiert.

    --allow-downgrade
        aktiviert das Herunterstufen von Abhängigkeiten beim Auflösen der angeforderten Aktion.

    --no-allow-downgrade
        deaktiviert das Herunterstufen von Abhängigkeiten beim Auflösen der angeforderten Aktion.

    --from-repo=PAKETQUELLEN-ID, …
        sucht Pakete (oder deren Bereitstellungen), die explizit in der Befehlszeile angegeben werden, nur in den angegebenen Paketquellen. Diese Paketquellen sind automatisch aktiviert. Die Aktivierung und Deaktivierung von Paketquellen wird weiterhin berücksichtigt. Abhängigkeiten dieser Pakete werden aus jeder aktivierten Paketquelle aufgelöst.

    --from-vendor=ANBIETER, …
        zeigt eine Liste der Anbieter an, getrennt durch Kommata oder Leerraum. Glob-Muster werden unterstützt (zum Beispiel --from-vendor='Fedora\ project, AnbieterA, AnbieterB*, AnbieterC')). Pakete (oder deren Provides), die explizit in der Befehlszeile angegeben werden, werden nur von den angegebenen Anbietern bezogen. Die Anbieteränderungsprüfung ist für diese Pakete auf bypassed gesetzt. Der Anbieter wird ignoriert, oder die Anbieteränderungsrichtlinien (falls allow_vendor_change=0) werden weiterhin für Pakete angewendet, die Abhängigkeiten erfüllen.

    --downloadonly
        lädt den nach Auflösung der Abhängigkeiten ermittelten Paketsatz herunter, ohne eine RPM-Transaktion auszuführen.

    --offline
        speichert die Transaktion, um sie ohne Netzverbindung ausführen zu können. Siehe dnf5-offline(8), Offline-Befehl.

    --store=PFAD
        Speichert die aktuelle Transaktion in einem Verzeichnis unter dem angegebenen PATH, anstatt sie auszuführen. Die gespeicherte Transaktion kann mit dem replay-Befehl dnf5-replay(8) ausgeführt werden. Beachten Sie, dass die Paketquellen-IDs in der gespeicherten Transaktion zu @stored_transaction(repo_id) umbenannt werden. Dies ist erforderlich, da die gespeicherten Paketquellen beim Aufrufen und Ausführen der Transaktion neu erstellt werden und mit bereits vorhandenen Paketquellen kollidieren könnten. (Dies gilt nicht für die spezielle @System-Paketquelle.)

    --advisories=HINWEISNAME, …
        schließt Inhalte aus Hinweisen mit dem angegebenen Namen ein. Dies ist eine Listenoption. Erwartete Werte sind Hinweis-IDs, z. B. FEDORA-2201-123. Jeder Transaktionsbefehl (Installation, Aktualisierung) schlägt mit einer Fehlermeldung fehl, wenn kein Hinweis in der Liste vorhanden ist. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --advisory-severities=HINWEIS-SCHWEREGRAD, …
        schließt Inhalte aus Hinweisen mit dem angegebenem Schweregrad ein. Dies ist eine Listenoption. Zulässige Werte: critical, important, moderate, low, none.

    --bzs=BUGZILLA_ID, …
        schließt Inhalte in Hinweisen ein, die ein Ticket der angegebenen Bugzilla-ID korrigieren. Dies ist eine Listenoption. Erwartete Werte sind numerische IDs, zum Beispiel 123123. Jeder Transaktionsbefehl (Installation, Aktualisierung) wird mit einer Fehlermeldung fehlschlagen, falls es keinen Hinweis gibt, der das angegebene Ticket korrigiert. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --cves=CVE_ID, …
        schließt Inhalte in Hinweisen ein, die ein Ticket mit der angegebenen CVE-ID (Common Vulnerabilities and Exposures) beheben. Dies ist eine Listenoption. Erwartete Werte sind Zeichenketten-IDs im CVE-Format, z.B. CVE-2201-0123. Alle Transaktionsbefehle (Installation, Aktualisierung) schlagen mit einer Fehlermeldung fehl, wenn kein Hinweis zur Korrektur des betreffenden Tickets vorliegt. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --security
        schließt Inhalte ein, die in Sicherheitshinweisen enthalten sind.

    --bugfix
        schließt Inhalte ein, die in Fehlerkorrektur-Hinweisen enthalten sind.

    --enhancement
        schließt Inhalte ein, die in Verbesserungs-Hinweisen enthalten sind.

    --newpackage
        schließt Inhalte ein, die in Neupaket-Hinweisen enthalten sind.

BEISPIELE

    dnf5 install tito
        Installiert das Paket tito.

    dnf5 install ~/Downloads/tito-0.6.21-1.fc36.noarch.rpm
        Installiert die lokale RPM-Datei vom angegebenen Ort.

    dnf5 install tito-0.6.21-1.fc36
        Installiert das Paket tito in der angegebenen Version. Falls das Paket bereits installiert sein sollte, wird automatisch versucht, es auf die angegebene Version zu aktualisieren oder herunterzustufen.

    dnf5 install --advisory=FEDORA-2022-07aa56297a \*
        Installiert alle Pakete, die zum angegebenen Hinweis FEDORA-2022-07aa56297a gehören.

SIEHE AUCH
        dnf5-advisory(8), Advisory-Befehl
        dnf5-specs(7), Muster-Spezifikation

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).